C       Nc - number of centers, Np - number of dm particles
C
      PARAMETER (Nm  =-30, Nb=NGRID/2+31)  ! define size of linker mesh
      PARAMETER (Nc  =150000)            ! Max number of initial centers
      PARAMETER (Ncc  =Nc)    
C      PARAMETER (Np  =INT(1.05*NROW**3)) ! Max Nparticles
      PARAMETER (Np  = Nmaxpart) ! Max Nparticles, make extra 
      PARAMETER (Ns=2)                ! Number of shells around a halo
      COMMON /CAT/ Xp(Np),Yp(Np),Zp(Np),VXp(Np),VYp(Np),VZp(Np)
      COMMON /MXM/ Xm(Nc),Ym(Nc),Zm(Nc),Amc(Nc),Rmc(Nc),Vrm(Nc),
     +             iRadius(Nc) 
      COMMON /GRD/ Label(Nm:Nb,Nm:Nb,Nm:Nb),Lst(Np)
      COMMON /MXC/ Wxc(Ncc,Ns),Wyc(Ncc,Ns),Wzc(Ncc,Ns),
     +             Vrmc(Ncc,Ns),Nbc(Ncc,Ns),Rrc(Ncc,Ns),
     +              NbcM(Ncc,Ns),NbcG(Ncc,Ns)
      COMMON /PNT/ Xc,Yc,Zc,a0,Radius,RadSr1,Cell
      COMMON /STS/ Vx1(Ns),Vy1(Ns),Vz1(Ns),Vxx(Ns),Nob1(Ns),
     .             Rob1(Ns)

